IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbSecretType'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'SecretTypeName'
	)
	BEGIN

		ALTER TABLE tbSecretType ALTER COLUMN [SecretTypeName] NVARCHAR(150) NOT NULL

	END
GO

IF NOT EXISTS
	(
		SELECT 
			C.*
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
				INNER JOIN SysTypes T ON C.xtype = T.xtype
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name = 'tbSecretType'
			AND
			T.Name = 'nvarchar'
			AND
			C.Name = 'SecretTypeDescription'
	)
	BEGIN

		ALTER TABLE tbSecretType ALTER COLUMN [SecretTypeDescription] NVARCHAR(2000)

	END
GO
