IF EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbUser'
			AND 
			C.Name='LastLogin'
	)
	BEGIN
		ALTER TABLE [dbo].[tbUser] 
			ALTER COLUMN [LastLogin] [datetime] NULL
	END
GO