DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 12
SET @NewSecretTypeName = 'Employee Identification Number'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, '594DB48F-DC26-4072-A89D-21127E466BE8'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--											SortOrder             Required   Encrypt IsPassword
	SELECT 49,
		'Company Name', 'Company Name',				1,	@NewSecretTypeId, 1, 'string' ,0,	0, '5947777F-F456-45f2-A9F9-648A172B6111' UNION
	SELECT 50,
		'EIN', 'Employee Identification Number',	2,	@NewSecretTypeId, 1, 'string' ,1,	0, '98111322-DC26-4072-A9F9-648A172B6111' UNION
	SELECT 51,
		'Notes', 'Notes',							3,	@NewSecretTypeId, 0, 'string' ,1,	0, '24432222-2241-4a82-AC30-2B527E466BE8'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END

