
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Page language="c#" Codebehind="SecretTypeEdit.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.SecretTypeEdit" %>
<ihawu:masterpage id="masterPage" runat="server">
<custom:NewDialog id="SecretTypeEditDialog" caption="Secret Type Designer" runat="server">
	<table>
		<tr>
			<td colspan"2">
				<thycotic:label id=MessageLabel runat="server"></thycotic:label>
			</td>
		</tr>
		<tr>
			<td colspan="2">
			<thycotic:label id="ActiveLabel" runat="server" text="Active?"/>
			<asp:image id="ActiveImage" runat="server"></asp:image>
			</td>
		</tr>	
		<tr>
			<td colspan="2">
			<thycotic:label id="ExpirationEnabledLabel" runat="server" text="Expiration Enabled?" visible=true/>
			<asp:image id=ExpirationEnabledImage runat="server"></asp:image>
			</td>
		</tr>
		<tr id = "TableRow1" runat="server">
			<td><thycotic:fieldlabel id="ExpirationDaysFieldLabel" runat="server" text="Expiration Days"/></td>
			<td><thycotic:label id="ExpirationDaysLabel" runat="server" /></td>
		</tr>
		<tr id = "TableRow2" runat="server">
			<td><thycotic:fieldlabel id="ExpirationDaysFieldNameFieldLabel" runat="server" text="Expiration Field&nbsp;&nbsp;"/></td>
			<td><thycotic:label id="ExpirationFieldNameLabel" runat="server"/></td>
		</tr>
		<tr>
			<td colspan="2">
				<thycotic:label id="SecretDescriptionLabel" runat="server" />
				<br/>
				<asp:LinkButton id=ChangeSecretTypeLinkButton runat="server" Text="Change" />
			</td>
		</tr>
	</table>
	<table>
		<tr>
			<td>
				<br/>
				<thycotic:DataGrid id="SecretBinderDataGrid" ShowNoItemsMessage="false" ShowFooter="True" AllowPaging="False" PageSize="1000" Runat="server" AutoGenerateColumns="false" AllowSorting="true">
				<Columns>
					<asp:TemplateColumn HeaderText="Field Name" >
							<EditItemTemplate>
								<asp:TextBox id="SecretFieldTextBox" runat="server" Text="" MaxLength="255" size="20" />
							</EditItemTemplate>
							<ItemTemplate>
									<asp:Label id="SecretFieldHolderLabel" runat="server" />
							</ItemTemplate>
							<FooterTemplate>
								<ItemTemplate>
									<asp:label id="SimpleLabel" runat="server"/>
								</ItemTemplate>
								<EditItemTemplate>
								<thycotic:RequiredFieldValidator id="SecretFieldValidator" runat="server" ControlToValidate="SecretFieldDisplayFooterTextBox" ErrorMessage="Please enter the new Field Name." 
								/><thycotic:TextBox id="SecretFieldDisplayFooterTextBox" Runat="server" MaxLength="255" size="20" />
								</EditItemTemplate>
							</FooterTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Field Description" >
							<EditItemTemplate>
								<asp:TextBox id="FieldDescriptionTextBox" runat="server" Text="" MaxLength="255" size="20"/>
							</EditItemTemplate>
							<ItemTemplate>
								<asp:Label id="FieldDescriptionLabel" runat="server" />
							</ItemTemplate>
							<FooterTemplate>
								<ItemTemplate>
									<asp:label id="FooterFieldDescriptionLabel" runat="server"/>
								</ItemTemplate>
								<EditItemTemplate>
								<thycotic:TextBox id="FooterFieldDescriptionTextBox" Runat="server" MaxLength="255" size="20" />
								</EditItemTemplate>
							</FooterTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Is Url?">
							<EditItemTemplate>
									<asp:CheckBox id="IsUrlCheckBox" runat="server" Text=" " />
							</EditItemTemplate>
							<ItemTemplate>
									<asp:Image id="IsUrlImage"  runat="server" />
							</ItemTemplate>
							<FooterTemplate>
								<asp:CheckBox id ="IsUrlFooterCheckBox" Runat="server" />
							</FooterTemplate>
					</asp:TemplateColumn>
					<asp:TemplateColumn HeaderText="Is Password?">
						<EditItemTemplate>
									<asp:CheckBox id="NewCheckBox" runat="server" />
							</EditItemTemplate>
						<ItemTemplate>
									<asp:Image id ="IsPasswordImage"  runat="server" />
						</ItemTemplate>
						<FooterTemplate>
							<EditItemTemplate>
								<asp:CheckBox id ="PasswordFooterCheckBox" Runat="server" />
							</EditItemTemplate>
							<ItemTemplate>
								<asp:Label id="PasswordLabel" runat="server" />
							</ItemTemplate>
							</FooterTemplate>
				</asp:TemplateColumn>
				<asp:TemplateColumn HeaderText="Is Notes?">
							<EditItemTemplate>
									<asp:CheckBox id="IsNotesCheckBox" runat="server" />
							</EditItemTemplate>
							<ItemTemplate>
									<asp:Image id ="IsNotesImage"  runat="server" />
							</ItemTemplate>
							<FooterTemplate>
								<asp:CheckBox id ="IsNotesFooterCheckBox" Runat="server" />
							</FooterTemplate>
				</asp:TemplateColumn>
				<asp:TemplateColumn HeaderText="History">
					<EditItemTemplate>
						<asp:TextBox id="HistoryLengthTextBox" runat="server" width="30px" />
						<thycotic:RegularExpressionValidator id="HistoryLengthValidator" runat="server" errormessage="Please enter a valid number for history length between 0 and 2147483646." controltovalidate="HistoryLengthTextBox" ValidationExpression="[0-9]+" />	
						<asp:CheckBox id="InfiniteHistoryCheckBox" Text="All" runat="server" />
					</EditItemTemplate>
					<ItemTemplate>
						<asp:Label runat="server" id="HistoryLengthLabel" />
					</ItemTemplate>
					<FooterTemplate>
						<asp:TextBox id="HistoryLengthTextBox" Text="0" runat="server" width="30px" />
						<thycotic:RegularExpressionValidator id="HistoryLengthValidator" runat="server" errormessage="Please enter a valid number for history length between 0 and 2147483646." controltovalidate="HistoryLengthTextBox" ValidationExpression="[0-9]+" />	
						<asp:CheckBox id="InfiniteHistoryCheckBox" Text="All" runat="server" />
					</FooterTemplate>
				</asp:TemplateColumn>
				<asp:TemplateColumn>
					<ItemTemplate>
						<asp:imagebutton CommandName="Delete" AlternateText="Delete this field" ImageUrl="~/images/icon-delete.gif" runat="server" CausesValidation="false" id="DeleteButton1" />
						<asp:imagebutton CommandName="Edit" AlternateText="Edit this field" ImageUrl="~/images/icon-pencil.gif" runat="server" id="EditButton1" CausesValidation="false" />
						<asp:imagebutton CommandName="MoveUp" AlternateText="Move up" ImageUrl="~/images/icon-up.gif" runat="server" CausesValidation="false" id="MoveUpImageButton"/> 
						<asp:imagebutton CommandName="MoveDown" AlternateText="Move down" ImageUrl="~/images/icon-down.gif" runat="server" CausesValidation="false" id="MoveDownImageButton" />
					</ItemTemplate>
					<EditItemTemplate>
						<asp:imagebutton CommandName="Update" AlternateText="Add this field" ImageUrl="~/images/icon-floppy.gif" runat="server" CausesValidation="false" id="UpdateImageButton" />
						<asp:imagebutton CommandName="Cancel" AlternateText="Cancel Changes" ImageUrl="~/images/icon-cancel.gif" runat="server" CausesValidation="false" />
					</EditItemTemplate>
					<FooterTemplate>
						<asp:ImageButton CommandName="Insert" ImageUrl ="~/images/icon-add.gif"  AlternateText="Save this field" ID="Add" Runat="server"  />
					</FooterTemplate>
				</asp:TemplateColumn>
				</Columns>
				</thycotic:DataGrid>
			</td>
		</tr>
		<tr>
			<td>
				<br>
				<thycotic:button id="BackButton" runat="server" text="Back" />&nbsp;
				<thycotic:button id="EditPasswordsButton" runat="server" text="Edit Passwords" />
				<thycotic:button id="EditPasswordChanging" runat="server" text="Edit Password Changing" />
				<br><br>
				<thycotic:label id="SecretMessageLabel" runat="server"/>
			</td>
		</tr>
	</table>			
</custom:NewDialog>
</ihawu:masterpage>




