<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="SecretShareEdit.ascx.cs" Inherits="Thycotic.ihawu.Web.secretusercontrols.SecretShareEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>

<custom:newdialog runat="server" caption="Secret Sharing" id="EditShareDialog">
	<thycotic:datagrid AllowPaging="false" id="SecretPermissionEditDataGrid" runat="server">
		<columns>
			<asp:templatecolumn headertext="Name">
				<itemtemplate>
					<thycotic:label id="GroupNameLabel" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="View">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
					<thycotic:checkbox id="ReadPermissionCheckBox" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Edit">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
					<thycotic:checkbox id="WritePermissionCheckBox" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
			<asp:templatecolumn headertext="Share">
				<itemstyle horizontalalign="Center" />
				<itemtemplate>
					<thycotic:checkbox id="SharePermissionCheckBox" runat="server" />
				</itemtemplate>
			</asp:templatecolumn>
		</columns>
	</thycotic:datagrid>
	<asp:panel id="AddNewGroupPanel" runat="server" >
		<hr />
		<thycotic:Label runat="Server" id="AddNewText" Font-Bold="true" Text="Add New" />
		<br />
		<thycotic:Label runat="Server" id="GroupUserLabel" Text="Group/User:" /> <thycotic:dropdownlist id="NewGroupDropDownList" runat="server" autopostback="true" />
		&nbsp;
	</asp:panel>
	<hr >
	<p style="margin:30px 0 0 0"></p>

	<thycotic:button id="CancelButton" text="Cancel" runat="server" />
	<thycotic:button id="SaveButton" text="Save" runat="server" />


	<thycotic:businessvalidator id="NewGroupBusinessValidator" runat="server" />
	<thycotic:businessvalidator id="NeedOnePersonWithPermission" runat="server" />
	<thycotic:businessvalidator id="MustHaveReadToShareOrWrite" runat="server" />
</custom:newdialog>
